<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns="http://www.w3.org/1999/xhtml">

<head>
    <title>Bets</title>
    <meta name="viewport" content="width=device-width, initial-scale=1" charset="UTF-8">

    <link th:href="@{/libs/bootstrap/css/bootstrap.min.css}" rel="stylesheet">
    <link th:href="@{/css/table.css}" rel="stylesheet">
    <link th:href="@{/css/main.css}" rel="stylesheet">
</head>

<body>

<div th:insert="navbar_menu :: navbar"></div>

<div class="container">
    <div class="card">
        <div class="card-header bg-primary text-light">
            <strong>Wagers</strong>
        </div>
        <div class="card-body">
            <div class="container">
                <div class="row">
                    <div class="col-xs-12">
                        <div class="table-responsive">
                            <table class="table table-bordered table-hover">
                                <thead>
                                <tr>
                                    <th>Event Title</th>
                                    <th>Event Type</th>
                                    <th>Start date</th>
                                    <th>End date</th>
                                    <th>Bet type</th>
                                    <th>Bet description</th>
                                    <th class="text-center">Action</th>
                                </tr>
                                </thead>
                                <tbody>
                               <!--
                                <tr th:each="bet : ${bets}">
                                    <td th:text="${bet.eventTitle}"></td>
                                    <td th:text="${bet.eventType}"></td>
                                    <td th:text="${bet.startDate}"></td>
                                    <td th:text="${bet.endDate}"></td>
                                    <td th:text="${bet.betType}"></td>
                                    <td th:text="${bet.betDescription}"></td>
                                    <td align="center">
                                        <a th:href="'/wagers/create?bet_id=' + ${bet.id}"
                                           class="btn btn-primary delete-btn">
                                            New wager
                                        </a>
                                    </td>
                                </tr>
                                -->
                               <tr th:each="bet : ${event.bets}">+
                                   <td th:text="${event.eventTitle}"></td>
                                   <td th:text="${bet.betType}"></td>
                                   <td th:text="${event.startDate}"></td>
                                   <td th:text="${event.endDate}"></td>
                                   <td th:text="${bet.betType}"></td>
                                   <td th:text="${bet.betDescription}"></td>
                                   <td align="center">
                                       <a th:href="'/wagers/create?bet_id=' + ${bet.id}"
                                          class="btn btn-primary delete-btn">
                                           New wager
                                       </a>
                                   </td>
                               </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<script th:src="@{/libs/jQuery/jquery.js}"></script>
<script th:src="@{/libs/bootstrap/js/bootstrap.min.js}"></script>
<script th:src="@{/js/main.js}"></script>

</body>

</html>
